Rmic.ImplementationSpecificArgument (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Rmic.ImplementationSpecificArgument class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Rmic.ImplementationSpecificArgument

    java.lang.Object
      org.apache.tools.ant.types.Commandline.Argument
          org.apache.tools.ant.util.facade.ImplementationSpecificArgument
              org.apache.tools.ant.taskdefs.Rmic.ImplementationSpecificArgument

Enclosing class:
  Rmic

public class Rmic.ImplementationSpecificArgument
extends ImplementationSpecificArgument

Adds an "compiler" attribute to Commandline$Attribute used to filter command line attributes based on the current implementation.

Constructor Summary
`Rmic.ImplementationSpecificArgument()`

Method Summary
`void` | `setCompiler(java.lang.String impl)` Only pass the specified argument if the chosen compiler implementation matches the value of this attribute.

Methods inherited from class org.apache.tools.ant.util.facade.ImplementationSpecificArgument
`getParts, setImplementation`

Methods inherited from class org.apache.tools.ant.types.Commandline.Argument
`getParts, setFile, setLine, setPath, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rmic.ImplementationSpecificArgument

    public Rmic.ImplementationSpecificArgument()

Method Detail

### setCompiler

    public void setCompiler(java.lang.String impl)

  Only pass the specified argument if the chosen compiler implementation matches the value of this attribute. Legal values are the same as those in the above list of valid compilers.)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.